## retroshare 0.5.5-0.7068

=== src/rsctrl/src/Makefile ===

EXEC = protoc
#PROTO = core.proto peers.proto system.proto chat.proto search.proto files.proto stream.proto  gxs.proto  msgs.proto 
PROTO = core.proto peers.proto system.proto chat.proto search.proto files.proto stream.proto

PROTOPATH = ./definition
#CDESTPATH = ./gencc
CDESTPATH = ../../retroshare-nogui/src/rpc/proto/gencc
PYDESTPATH = ./genpy
#PYDESTPATH = ../../../../github/pyrs/pyrs/proto

CLIST = $(PROTO:%.proto=%.cc)
CCODE = $(patsubst %.proto,$(CDESTPATH)/%.pb.cc, $(PROTO))
HCODE = $(patsubst %.proto,$(CDESTPATH)/%.pb.h, $(PROTO))
PYCODE = $(patsubst %.proto,$(PYDESTPATH)/%_pb2.py, $(PROTO))


all: allc python_proto

allc: $(CCODE) 
	echo $(CCODE)

python_proto: $(PYCODE)
	echo $(PYCODE)

$(CDESTPATH)/%.pb.cc : $(PROTOPATH)/%.proto
	$(EXEC) --proto_path=$(PROTOPATH) --cpp_out=$(CDESTPATH) $<

$(PYDESTPATH)/%_pb2.py : $(PROTOPATH)/%.proto
	$(EXEC) --proto_path=$(PROTOPATH) --python_out=$(PYDESTPATH) $<

clean:
	-/bin/rm $(CCODE) $(HCODE) $(PYCODE)

=== src/libbitdht/src/bitdht/Makefile ===
CPPFLAGS += -g -Wall -D BE_DEBUG -lpthread
LDFLAGS += -g -Wall -D BE_DEBUG -lpthread
CFLAGS += -g -Wall -D BE_DEBUG
CC = g++
LIB = -lpthread
CPPLIB = -lpthread

EXEC = bdmsgs_test bdmetric_test bdquery_test bdspace_test bdspace_test2 bdnode_test bdnode_test2 bdstore_test 
EXEC += bdnode_multitest1 bdmidids_test 
EXEC += udpbitdht_nettest bencode_test
EXEC += bdmgr_multitest
#EXEC += bdudp_test

all: $(EXEC)

OBJ = bencode.o bdmsgs.o bdobj.o
OBJ += bdpeer.o bdquery.o bdnode.o bdstore.o bdhash.o
OBJ += bdmanager.o bdstddht.o

# udp base objs
OBJ += bdthreads.o udplayer.o udpstack.o
OBJ += udpbitdht.o

bdmsgs_test: $(OBJ) bdmsgs_test.o
bdmetric_test: $(OBJ) bdmetric_test.o
bdquery_test: $(OBJ) bdquery_test.o
bdspace_test: $(OBJ) bdspace_test.o
bdspace_test2: $(OBJ) bdspace_test2.o
bdnode_test: $(OBJ) bdnode_test.o
bdnode_test2: $(OBJ) bdnode_test2.o
bdmidids_test: $(OBJ) bdmidids_test.o

bdnode_multitest1: $(OBJ) bdnode_multitest1.o
bdmgr_multitest: $(OBJ) bdmgr_multitest.o

bdstore_test: $(OBJ) bdstore_test.o
bdudp_test: $(OBJ) bdudp_test.o
udpbitdht_nettest: $(OBJ) udpbitdht_nettest.o
bencode_test: $(OBJ) bencode_test.o

clean:
	rm -f *.o core $(EXEC)

.PHONY: all clean

=== src/libbitdht/src/example/Makefile ===

CXXFLAGS = -Wall -g -I.. 
#CXXFLAGS += -arch i386 # OSX

LIBS = -L../lib -lbitdht -lpthread



EXEC : bssdht

EGOBJ = bdhandler.o bssdht.o bootstrap_fn.o

bssdht: $(EGOBJ)
	$(CXX) $(CXXFLAGS) -o bssdht $(EGOBJ) $(LIBS)

=== src/libbitdht/src/tests/Makefile ===

LIB_TOP_DIR = ..
TEST_TOP_DIR = $(LIB_TOP_DIR)/tests

##### Define any flags that are needed for this section #######
###############################################################

###############################################################
include $(TEST_TOP_DIR)/scripts/config.mk
###############################################################

# Generic Test Harnesses.
TESTOBJ  = bdmetric_test.o bdmsgs_test.o bdnode_test.o  bdspace_test.o 
TESTOBJ  += bdmgr_multitest.o bdquery_test.o bdstore_test.o
TESTOBJ  += bdmidids_test.o bdspace_test2.o udpbitdht_nettest.o
TESTOBJ  += bdbloom_test.o bdbloom_makefilter.o
#TESTOBJ += bencode_test.o bdudp_test.o
#TESTOBJ  = bdnode_test.o bdnode_multitest1.o bdnode_test2.o 

TESTS  = bdmetric_test bdmsgs_test bdspace_test 
TESTS  += bdmgr_multitest bdquery_test bdstore_test
TESTS  += bdmidids_test bdspace_test2 udpbitdht_nettest
TESTS  += bdbloom_test 
#TESTS  += bencode_test bdudp_test
#Tests to Fix.
#TESTS  = bdnode_test bdnode_multitest1 bdnode_test2 

MANUAL_TESTS = 

all: tests $(MANUAL_TESTS)

bdmsgs_test: bdmsgs_test.o
	$(CC) $(CFLAGS) -o bdmsgs_test bdmsgs_test.o $(LIBS)

bdmetric_test: bdmetric_test.o
	$(CC) $(CFLAGS) -o bdmetric_test bdmetric_test.o $(LIBS)

bdquery_test: bdquery_test.o
	$(CC) $(CFLAGS) -o bdquery_test bdquery_test.o $(LIBS)

bdspace_test: bdspace_test.o
	$(CC) $(CFLAGS) -o bdspace_test bdspace_test.o $(LIBS)

bdspace_test2: bdspace_test2.o
	$(CC) $(CFLAGS) -o bdspace_test2 bdspace_test2.o $(LIBS)

bdnode_test: bdnode_test.o
	$(CC) $(CFLAGS) -o bdnode_test bdnode_test.o $(LIBS)

bdnode_test2: bdnode_test2.o
	$(CC) $(CFLAGS) -o bdnode_test2 bdnode_test2.o $(LIBS)

bdmidids_test: bdmidids_test.o
	$(CC) $(CFLAGS) -o bdmidids_test bdmidids_test.o $(LIBS)


bdnode_multitest1: bdnode_multitest1.o
	$(CC) $(CFLAGS) -o bdnode_multitest1 bdnode_multitest1.o $(LIBS)

bdmgr_multitest: bdmgr_multitest.o
	$(CC) $(CFLAGS) -o bdmgr_multitest bdmgr_multitest.o $(LIBS)


bdstore_test: bdstore_test.o
	$(CC) $(CFLAGS) -o bdstore_test bdstore_test.o $(LIBS)

bdudp_test: bdudp_test.o
	$(CC) $(CFLAGS) -o bdudp_test bdudp_test.o $(LIBS)

udpbitdht_nettest: udpbitdht_nettest.o
	$(CC) $(CFLAGS) -o udpbitdht_nettest udpbitdht_nettest.o $(LIBS)

bencode_test: bencode_test.o
	$(CC) $(CFLAGS) -o bencode_test bencode_test.o $(LIBS)

bdbloom_test: bdbloom_test.o
	$(CC) $(CFLAGS) -o bdbloom_test bdbloom_test.o $(LIBS)

bdbloom_makefilter: bdbloom_makefilter.o
	$(CC) $(CFLAGS) -o bdbloom_makefilter bdbloom_makefilter.o $(LIBS)


clobber: remove_extra_files

remove_extra_files:
	-$(RM) $(MANUAL_TESTS)

###############################################################
include $(TEST_TOP_DIR)/scripts/rules.mk
###############################################################

=== src/libretroshare/src/pqi/Makefile ===

RS_TOP_DIR = ..
##### Define any flags that are needed for this section #######
###############################################################

###############################################################
include $(RS_TOP_DIR)/scripts/config.mk
###############################################################

BASE_OBJ = pqisecurity.o pqinetwork.o 
#pqi_base.o 

LOOP_OBJ = pqiloopback.o 
STREAM_OBJ = pqistreamer.o pqiarchive.o pqistore.o pqibin.o
MGR_OBJ = pqimonitor.o p3dhtmgr.o p3connmgr.o p3cfgmgr.o p3authmgr.o
GRP_OBJ = pqiperson.o pqihandler.o pqiservice.o pqipersongrp.o  
SSL_OBJ  = pqissl.o pqissllistener.o pqisslpersongrp.o cleanupxpgp.o
UDP_OBJ  = pqissludp.o

OTHER_OBJ = p3notify.o


TESTOBJ  = net_test.o dht_test.o net_test1.o netiface_test.o
#conn_test.o

TESTS  = net_test dht_test net_test1 netiface_test
#conn_test

ifdef PQI_USE_XPGP
	SSL_OBJ += authxpgp.o 
	TESTOBJ += xpgp_id.o
	TESTS   += xpgp_id
else
 ifdef PQI_USE_SSLONLY 
	SSL_OBJ += authssl.o 
 else
	SSL_OBJ += authssl.o authgpg.o 
	TESTOBJ += gpgme_tst.o
	TESTS   += gpgme_tst
 endif
endif

RSOBJ = $(BASE_OBJ) $(LOOP_OBJ) \
	$(STREAM_OBJ) \
	$(MGR_OBJ) \
	$(SSL_OBJ) \
	$(UDP_OBJ) \
	$(GRP_OBJ) \
	$(OTHER_OBJ)

all: librs tests

gpgme_tst: gpgme_tst.o 
	$(CC) $(CFLAGS) -o gpgme_tst gpgme_tst.o $(LIBS)

xpgp_id: xpgp_id.o 
	$(CC) $(CFLAGS) -o xpgp_id xpgp_id.o $(LIBS)

dht_test: dht_test.o 
	$(CC) $(CFLAGS) -o dht_test dht_test.o $(LIBS)

conn_test: conn_test.o 
	$(CC) $(CFLAGS) -o conn_test conn_test.o $(LIBS)

net_test: net_test.o 
	$(CC) $(CFLAGS) -o net_test net_test.o $(LIBS)

net_test1: net_test1.o 
	$(CC) $(CFLAGS) -o net_test1 net_test1.o $(LIBS)

netiface_test: netiface_test.o 
	$(CC) $(CFLAGS) -o netiface_test netiface_test.o $(LIBS)

###############################################################
include $(RS_TOP_DIR)/scripts/rules.mk
###############################################################

=== src/libretroshare/src/retroshare/Makefile ===

RS_TOP_DIR = ..
##### Define any flags that are needed for this section #######
###############################################################

###############################################################
include $(RS_TOP_DIR)/scripts/config.mk
###############################################################

OBJ  = notifytxt.o retroshare.o

#TESTOBJ  = 

TESTS  = retroshare-nogui

all: tests

retroshare-nogui: $(OBJ)
	$(CC) $(CFLAGS) -o retroshare-nogui $(OBJ) $(LIBS) 


###############################################################
include $(RS_TOP_DIR)/scripts/rules.mk
###############################################################

=== src/libretroshare/src/rsserver/Makefile ===

RS_TOP_DIR = ..
##### Define any flags that are needed for this section #######
###############################################################

###############################################################
include $(RS_TOP_DIR)/scripts/config.mk
###############################################################

RSOBJ = rsinit.o \
	p3peers.o \
	p3rank.o  \
	p3photo.o  \
	p3msgs.o  \
	p3blog.o  \
	p3discovery.o \
	p3face-server.o \
	p3face-config.o \
	p3face-msgs.o \
	rsiface.o \
	rstypes.o 

#TESTOBJ  = 

#TESTS  = 

all: librs tests

#tlvbase_test : tlvbase_test.o
#	$(CC) $(CFLAGS) -o tlvbase_test tlvbase_test.o $(OBJ) $(LIBS) 

###############################################################
include $(RS_TOP_DIR)/scripts/rules.mk
###############################################################

=== src/libretroshare/src/services/Makefile ===

RS_TOP_DIR = ..
##### Define any flags that are needed for this section #######
###############################################################

###############################################################
include $(RS_TOP_DIR)/scripts/config.mk
###############################################################

RSOBJ  = p3service.o p3chatservice.o p3msgservice.o \
	p3gamelauncher.o p3ranking.o p3disc.o \
	p3photoservice.o \
	p3distrib.o \
	p3status.o \
	p3Qblog.o \
	p3forums.o \
	p3channels.o \
	p3portservice.o 

# dummy forums interface.
#	p3forums-dummy.o \

TESTOBJ  = forum_test.o

TESTS  = forum_test

all: librs tests

forum_test : forum_test.o
	$(CC) $(CFLAGS) -o forum_test forum_test.o $(OBJ) $(LIBS) 


###############################################################
include $(RS_TOP_DIR)/scripts/rules.mk
###############################################################

=== src/libretroshare/src/turtle/Makefile ===
RS_TOP_DIR = ..
##### Define any flags that are needed for this section #######
###############################################################

###############################################################
include $(RS_TOP_DIR)/scripts/config.mk
###############################################################

RSOBJ = p3turtle.o rsturtleitem.o

#TESTOBJ  = 

#TESTS  = 

all: librs tests

#tlvbase_test : tlvbase_test.o
#	$(CC) $(CFLAGS) -o tlvbase_test tlvbase_test.o $(OBJ) $(LIBS) 

###############################################################
include $(RS_TOP_DIR)/scripts/rules.mk
###############################################################

=== src/libretroshare/src/upnp/Makefile ===

RS_TOP_DIR = ..
##### Define any flags that are needed for this section #######
###############################################################

EXTRA_CFLAGS += -I$(UPNPC_DIR) -DMINIUPNP_EXPORTS 

###############################################################
include $(RS_TOP_DIR)/scripts/config.mk
###############################################################

CFLAGS += $(EXTRA_CFLAGS)

RSOBJ = upnphandler.o upnputil.o

TESTOBJ  = upnptest.o

TESTS  = upnptest

all: librs tests

upnptest: $(OBJ) upnptest.o
	$(CC) $(CFLAGS) -o upnptest $(OBJ) upnptest.o $(LIBS)

###############################################################
include $(RS_TOP_DIR)/scripts/rules.mk
###############################################################

=== src/libretroshare/src/util/Makefile ===

RS_TOP_DIR = ..
##### Define any flags that are needed for this section #######
###############################################################

###############################################################
include $(RS_TOP_DIR)/scripts/config.mk
###############################################################

RSOBJ = rsthreads.o  rsprint.o rsnet.o rsdebug.o rsdir.o rsversion.o

TESTOBJ  = dirtest.o dir2test.o 

TESTS  = dirtest dir2test

all: librs tests

dirtest: $(OBJ) dirtest.o
	$(CC) $(CFLAGS) -o dirtest dirtest.o $(OBJ) $(LIBS)

dir2test: $(OBJ) dir2test.o
	$(CC) $(CFLAGS) -o dir2test dir2test.o $(OBJ) $(LIBS)

###############################################################
include $(RS_TOP_DIR)/scripts/rules.mk
###############################################################

=== src/supportlibs/pegmarkdown/peg-0.1.9/Makefile ===
CFLAGS = -g -Wall $(OFLAGS) $(XFLAGS)
OFLAGS = -O3 -DNDEBUG
#OFLAGS = -pg

OBJS = tree.o compile.o

all : peg leg

peg : peg.o $(OBJS)
	$(CC) $(CFLAGS) -o $@-new peg.o $(OBJS)
	mv $@-new $@

leg : leg.o $(OBJS)
	$(CC) $(CFLAGS) -o $@-new leg.o $(OBJS)
	mv $@-new $@

ROOT	=
PREFIX	= /usr/local
BINDIR	= $(ROOT)$(PREFIX)/bin

install : $(BINDIR)/peg $(BINDIR)/leg

$(BINDIR)/% : %
	cp -p $< $@
	strip $@

uninstall : .FORCE
	rm -f $(BINDIR)/peg
	rm -f $(BINDIR)/leg

peg.o : peg.c peg.peg-c

%.peg-c : %.peg compile.c
	./peg -o $@ $<

leg.o : leg.c

leg.c : leg.leg compile.c
	./leg -o $@ $<

check : check-peg check-leg

check-peg : peg .FORCE
	./peg < peg.peg > peg.out
	diff peg.peg-c peg.out
	rm peg.out

check-leg : leg .FORCE
	./leg < leg.leg > leg.out
	diff leg.c leg.out
	rm leg.out

test examples : .FORCE
	$(SHELL) -ec '(cd examples;  $(MAKE))'

clean : .FORCE
	rm -f *~ *.o *.peg.[cd] *.leg.[cd]
	$(SHELL) -ec '(cd examples;  $(MAKE) $@)'

spotless : clean .FORCE
	rm -f peg
	rm -f leg
	$(SHELL) -ec '(cd examples;  $(MAKE) $@)'

.FORCE :

=== debian/changelog ===
retroshare (0.5.5-0.7068~precise) precise; urgency=low

   * Improvements
      - General
         * Updated languages from Transifex
         * Added language Catalan (ca_ES)

      - Transfers
         * new cache system for RemoteDirModel, which significantly speeds up the display of shared files
         * added generic function to return the correct string for scanf for unsigned ints depending on the 
            size of the actual variable that is scanned. Should fix the rehash bug and bugs corrupting 
            timestamps on some 32bits systems
         * Added few more file type icons for "cpp", "h" nd "c", "patch" and "diff" extensions
         * Moved Uploads to Downloads Tab.
         * Added to change the text for the Play Button, when file is not a media file.
         * Added a custom context menu for pasting RS-links to the base class MimeTextEdit and removed 
           the custom context menu from derived classes. Updated english translation.
         * patch "AddSearchFilesourceSorted_6951.diff" from Phenom. Adds correct sorting for search results.
         * extended max chunk TTL to 1 hour. A short TTL is not anymore needed since chuns are shared between sources

      - Chat
         * patch "chatdialog_allow_buttons_from_different_plugins_3" from electron. ChatDialog allows 
           now Buttons from different Plugins.
         * patch "Fix_ChatLobbyAutoSubscribe_6951.diff" from Phenom. Fixes request for existing lobbies 
            when no lobby ihas been found yet. Code beautification
         * added lobby ID as tooltip to lobby list

      - Forums
         * added ElidedLabel to be used in places where labels might be too long and therefore 
           trigger an unwanted window resize. This is currently used as forum thread titles (Patch from Phenom)

      - Channels
         * patch "Fix_ChannelNotificationFeedLink" from Phenom. Allows to finish loading a channel 
           before jumping to the linked post
         * Added a default background color for the Channel Message Logo for a better look and feel, 
            removed stretching of the logo, set a minimum size, background is now filled black.

      - Notification
         * reworked the notification system, which is now a standalone service. Now plugins can receive notifications.
         * Corrected the layout of the Connect Progress Dialog
         * Changed the logo size for some news feed items to use same size for better look.
         * Added to display blue/black forum message icons for the forum feeds, when forum is anon or signed.
         * Added new feed item types and logic to show connection attempts from forged certificates 
            (e.g. bad signature, bad certificate)
         * Limit number of feed items to 500 to avoid flooding
         * Changed the default stylesheet color for the Security Feed
         * improved display/fixed bugs in security item

      - plugins
         * Added service pointer for forums to the plugin interface
         * FeedReader: Used the forums pointer from the plugin interface instead of the global pointer
         * added missing services in RsPluginInterface class

      - GXS
         * Enabled the Filter Line edit for filtering friends, by nick/ID for Create Circles Dialog's 
           Known Identities Widget.
         * Set some minimum header sizes for some items
         * Enabled sorting for the QTreeWidget's
         * fixed temporary to load the Wiki Groups Tree at startup, auto update seems not to work.

      - core
         * moved PGP id and SSLid types into rsid.h, and renamed them with a more appropriate name
         * fixed cipher list for openssl. ECDHE is not configured, so it cannot be used
         * added serialisation methods for SSLId and time_t
         * added an option in the pro file for dsdv, as it is compiled when not used
         * removed status member from FileDetails. Not used => misleading
         * removed asserts in reader_armoured.c, reader_encrypted_se.c, reader_encrypted_seip.c, readerwriter.c
         * Allow loading packets of large size from config files (fixed storing of big messages), 
           and continue on config files skipping items that cannot be deserialised (Modified patch from Phenom)
         * put a hard limit to packet size in pqistore to avoid calling realloc with fancy numbers 
           when the stream has been corrupted

   * Bug fixes
      - fixed bug due to ot sending notifications to the file lists
      - added missign cleanup call in RsAES.cc, causing a small memory leak
      - Changed order of the shutdown to fix a crash of the WebUI plugin. First stop the 
        plugins then the other services.
      - fixed ghost lobby issue (thx to thunder for spotting it out)
      - patch from HM to avoid allocating absurdly long uids
      - added check to only import version 4 keys in the keyring
      - fixed error handling in certificates that could crash RS when a bad cert is pasted
      - fixed proper handling in failed malloc in openpgp-sdk, causing crash with deliberate bad cert.
      - fixed small error in pgphandler, potentially adding empty certs in database
      - limited the number of packets to be parsed in a row, to prevent compressed 
        data to contain an enormous number of packets. Fixes one possible attack pointed out by HM
      - removed potential uninitialized memory read in TlvKey item.
      - fixed mismatched free/delete in p3channels.cc
      - fixed bug introduced in 6965 that prevented people joining private lobbies to see the messages and talk
      - fixed potential attack by supplying non hexadecimal strings as certificate common name
      - Fixed spaces in copy/paste of rich text (Patch from Phenom)

 -- Cyril Soler <csoler@users.sourceforge.net>  Thu, 09 Jan 2014 20:00:00 +0100

retroshare (0.5.5-0.6933~precise) precise; urgency=low

   * Improvements

      - fixed up some debug text (patch from H.Morgan)


=== src/build_scripts/Ubuntu_src/debian/control ===
Source: retroshare
Section: devel
Priority: standard
Maintainer: Cyril Soler <csoler@users.sourceforge.net>
Build-Depends: debhelper (>= 7),  libglib2.0-dev, libupnp-dev, qt4-dev-tools, libqt4-dev, libssl-dev, libxss-dev, libgnome-keyring-dev, libbz2-dev, libqt4-opengl-dev, libqtmultimediakit1, qtmobility-dev, libspeex-dev, libspeexdsp-dev, libxslt1-dev, libprotobuf-dev, protobuf-compiler, cmake, libcurl4-openssl-dev
Standards-Version: 3.9.1
Homepage: http://retroshare.sourceforge.net

Package: retroshare-voip-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, retroshare, libspeex1, libspeexdsp1, libqtmultimediakit1
Description: RetroShare VOIP plugin
 This package provides a plugin for RetroShare, a secured Friend-to-Friend communication 
 plateform. The plugin adds voice-over-IP functionality to the private chat window. Both
 friends chatting together need the plugin installed to be able to talk together.

Package: retroshare-linkscloud-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, retroshare
Description: RetroShare LinksCloud plugin
 This package provides a plugin for RetroShare, a secured Friend-to-Friend communication 
 plateform. The plugin adds a pool of html links that friends can share, and includes a 
 voting system to promote links. 

Package: retroshare-feedreader-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, retroshare
Description: RetroShare LinksCloud plugin
 This package provides a plugin for RetroShare, a secured Friend-to-Friend communication 
 plateform. The plugin adds a RSS feed reader tab to retroshare.

Package: retroshare-nogui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-keyring
Conflicts: retroshare
Description: Secure communication with friends
 This is the command-line client for RetroShare network. This client
 can be contacted and talked-to using SSL. Clients exist for portable
 devices running e.g. Android. 

Package: retroshare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gnome-keyring
Conflicts: retroshare-nogui
Description: Secure communication with friends
 RetroShare is a Open Source cross-platform, private and secure decentralised 
 commmunication platform. It lets you to securely chat and share files with your 
 friends and family, using a web-of-trust to authenticate peers and OpenSSL to 
 encrypt all communication. RetroShare provides filesharing, chat, messages, 
 forums and channels.

=== src/build_scripts/Ubuntu_src/debian/rules ===
#!/usr/bin/make -f

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	touch $@

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd libssh-0.5.4 && mkdir build && cd build && cmake -DWITH_STATIC_LIB=ON .. && make 
	mkdir lib
	cp -r libssh-0.5.4 lib
	#cd src/rsctrl/src && make
	cd src && qmake-qt4 CONFIG=release RetroShare.pro && make
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -D -m 644 src/data/retroshare.desktop                           $(CURDIR)/debian/retroshare/usr/share/applications/retroshare.desktop
	install -D -m 644 src/data/24x24/retroshare.png                         $(CURDIR)/debian/retroshare/usr/share/icons/hicolor/24x24/apps/retroshare.png
	install -D -m 644 src/data/48x48/retroshare.png                         $(CURDIR)/debian/retroshare/usr/share/icons/hicolor/48x48/apps/retroshare.png
	install -D -m 644 src/data/64x64/retroshare.png                         $(CURDIR)/debian/retroshare/usr/share/icons/hicolor/64x64/apps/retroshare.png
	install -D -m 644 src/data/retroshare.xpm                               $(CURDIR)/debian/retroshare/usr/share/pixmaps/retroshare.xpm
	install -D -m 644 src/plugins/VOIP/libVOIP.so.1.0.0              		$(CURDIR)/debian/retroshare-voip-plugin/usr/lib/retroshare/extensions/libVOIP.so
	install -D -m 644 src/plugins/LinksCloud/libLinksCloud.so.1.0.0  		$(CURDIR)/debian/retroshare-linkscloud-plugin/usr/lib/retroshare/extensions/libLinksCloud.so
	install -D -m 644 src/plugins/FeedReader/libFeedReader.so.1.0.0  		$(CURDIR)/debian/retroshare-feedreader-plugin/usr/lib/retroshare/extensions/libFeedReader.so
	install -D -m 644 src/libbitdht/src/bitdht/bdboot.txt                   $(CURDIR)/debian/retroshare-nogui/usr/share/RetroShare/bdboot.txt
	install -D -m 644 src/libbitdht/src/bitdht/bdboot.txt                   $(CURDIR)/debian/retroshare/usr/share/RetroShare/bdboot.txt
	install -D -m 755 src/retroshare-nogui/src/retroshare-nogui        		$(CURDIR)/debian/retroshare-nogui/usr/bin/RetroShare-nogui
	install -D -m 755 src/retroshare-nogui/src/retroshare-nogui        		$(CURDIR)/debian/retroshare/usr/bin/RetroShare-nogui
	install -D -m 755 src/retroshare-gui/src/RetroShare                		$(CURDIR)/debian/retroshare/usr/bin/RetroShare

# Add here commands to install the package into debian/your_appname
#    cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## retroshare 0.6.3

=== msys2_build_libs/Makefile ===
SQLCIPHER_VERSION=3.3.1
MSYS2AUTOMAKE=/usr/share/automake-1.15

BLD=../build-libs
DLD=../downloads

all: dirs sqlcipher

dirs:
	mkdir -p ../../libs/include
	mkdir -p ../../libs/lib
	mkdir -p ../../libs/bin
	mkdir -p $(DLD)
	mkdir -p $(BLD)

sqlcipher: | ../../libs/lib/libsqlcipher.a

$(DLD)/sqlcipher-$(SQLCIPHER_VERSION).tar.gz:
	curl.exe -L -k https://github.com/sqlcipher/sqlcipher/archive/v$(SQLCIPHER_VERSION).tar.gz -o $(DLD)/sqlcipher-$(SQLCIPHER_VERSION).tar.gz

../../libs/lib/libsqlcipher.a: $(DLD)/sqlcipher-$(SQLCIPHER_VERSION).tar.gz
	tar xvf $(DLD)/sqlcipher-$(SQLCIPHER_VERSION).tar.gz -C $(BLD)
	cp $(MSYS2AUTOMAKE)/config.guess $(BLD)/sqlcipher-$(SQLCIPHER_VERSION)/config.guess
	cp $(MSYS2AUTOMAKE)/config.sub $(BLD)/sqlcipher-$(SQLCIPHER_VERSION)/config.sub
	cd $(BLD)/sqlcipher-$(SQLCIPHER_VERSION) && LIBS="-L`pwd`/../../libs/lib -lgdi32 $$LIBS" && export LIBS && ./configure --disable-shared --enable-static --enable-tempstore=yes CFLAGS="-DSQLITE_HAS_CODEC -I`pwd`/../../libs/include" LDFLAGS="-L`pwd`/../../libs/lib -lcrypto -lgdi32" && make install prefix="`pwd`/install"
	cp -r $(BLD)/sqlcipher-$(SQLCIPHER_VERSION)/install/include/* ../../libs/include/
	cp $(BLD)/sqlcipher-$(SQLCIPHER_VERSION)/install/lib/libsqlcipher.a ../../libs/lib/
	cp $(BLD)/sqlcipher-$(SQLCIPHER_VERSION)/install/bin/sqlcipher.exe ../../libs/bin/

=== build_scripts/Windows/build-libs/Makefile ===
ZLIB_VERSION=1.2.3
BZIP2_VERSION=1.0.6
MINIUPNPC_VERSION=2.0
OPENSSL_VERSION=1.0.2k
SPEEX_VERSION=1.2.0
SPEEXDSP_VERSION=1.2rc3
OPENCV_VERSION=3.2.0
LIBXML2_VERSION=2.9.4
LIBXSLT_VERSION=1.1.28
CURL_VERSION=7.53.1
TCL_VERSION=8.6.2
SQLCIPHER_VERSION=2.2.1
LIBMICROHTTPD_VERSION=0.9.52
FFMPEG_VERSION=3.2.4

MAKEFILE_PATH=$(dir $(MAKEFILE_LIST))
LIBS_PATH?=$(MAKEFILE_PATH)../../../../libs

DOWNLOAD_PATH?=download
COPY_ANSWER?=

all: dirs zlib bzip2 miniupnpc openssl speex speexdsp opencv libxml2 libxslt curl sqlcipher libmicrohttpd ffmpeg copylibs

download: \
	$(DOWNLOAD_PATH)/zlib-$(ZLIB_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/bzip2-$(BZIP2_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/miniupnpc-$(MINIUPNPC_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/openssl-$(OPENSSL_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/speex-$(SPEEX_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/speexdsp-$(SPEEXDSP_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/opencv-$(OPENCV_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/libxml2-$(LIBXML2_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/libxslt-$(LIBXSLT_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/curl-$(CURL_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/tcl$(TCL_VERSION)-src.tar.gz \
	$(DOWNLOAD_PATH)/sqlcipher-$(SQLCIPHER_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/libmicrohttpd-$(LIBMICROHTTPD_VERSION).tar.gz \
	$(DOWNLOAD_PATH)/ffmpeg-$(FFMPEG_VERSION).tar.gz

clean:
	rm -r -f libs

dirs:
	mkdir -p $(DOWNLOAD_PATH)
	mkdir -p libs
	gcc --version | head --lines 1 | tr ' ' '\n' | tail -1 >libs/gcc-version

$(DOWNLOAD_PATH)/zlib-$(ZLIB_VERSION).tar.gz:
	wget --no-check-certificate http://sourceforge.net/projects/libpng/files/zlib/$(ZLIB_VERSION)/zlib-$(ZLIB_VERSION).tar.gz/download -O $(DOWNLOAD_PATH)/zlib-$(ZLIB_VERSION).tar.gz

zlib: libs/zlib-$(ZLIB_VERSION)

libs/zlib-$(ZLIB_VERSION): $(DOWNLOAD_PATH)/zlib-$(ZLIB_VERSION).tar.gz
	# prepare
	rm -r -f libs/zlib-*
	tar xvf $(DOWNLOAD_PATH)/zlib-$(ZLIB_VERSION).tar.gz
	# build
	cd zlib-$(ZLIB_VERSION) && ./configure
	#cd zlib-$(ZLIB_VERSION) && make install prefix="`pwd`/../libs"
	cd zlib-$(ZLIB_VERSION) && make
	# copy files
	mkdir -p libs/zlib-$(ZLIB_VERSION).tmp/include
	cp zlib-$(ZLIB_VERSION)/zlib.h libs/zlib-$(ZLIB_VERSION).tmp/include/
	cp zlib-$(ZLIB_VERSION)/zconf.h libs/zlib-$(ZLIB_VERSION).tmp/include/
	mkdir -p libs/zlib-$(ZLIB_VERSION).tmp/lib
	cp zlib-$(ZLIB_VERSION)/libz.a libs/zlib-$(ZLIB_VERSION).tmp/lib/
	rm -r -f zlib-$(ZLIB_VERSION)
	mv libs/zlib-$(ZLIB_VERSION).tmp libs/zlib-$(ZLIB_VERSION)

bzip2: libs/bzip2-$(BZIP2_VERSION)

$(DOWNLOAD_PATH)/bzip2-$(BZIP2_VERSION).tar.gz:
	wget http://bzip.org/$(BZIP2_VERSION)/bzip2-$(BZIP2_VERSION).tar.gz -O $(DOWNLOAD_PATH)/bzip2-$(BZIP2_VERSION).tar.gz

libs/bzip2-$(BZIP2_VERSION): $(DOWNLOAD_PATH)/bzip2-$(BZIP2_VERSION).tar.gz
	# prepare
	rm -r -f libs/bzip2-*
	tar xvf $(DOWNLOAD_PATH)/bzip2-$(BZIP2_VERSION).tar.gz
	# build
	#cd bzip2-$(BZIP2_VERSION) && make install PREFIX="`pwd`/../libs"
	cd bzip2-$(BZIP2_VERSION) && make
	# copy files
	mkdir -p libs/bzip2-$(BZIP2_VERSION).tmp/include
	cp bzip2-$(BZIP2_VERSION)/bzlib.h libs/bzip2-$(BZIP2_VERSION).tmp/include/
	mkdir -p libs/bzip2-$(BZIP2_VERSION).tmp/lib
	cp bzip2-$(BZIP2_VERSION)/libbz2.a libs/bzip2-$(BZIP2_VERSION).tmp/lib/
	rm -r -f bzip2-$(BZIP2_VERSION)
	mv libs/bzip2-$(BZIP2_VERSION).tmp libs/bzip2-$(BZIP2_VERSION)

miniupnpc: libs/miniupnpc-$(MINIUPNPC_VERSION)

$(DOWNLOAD_PATH)/miniupnpc-$(MINIUPNPC_VERSION).tar.gz:
	wget http://miniupnp.free.fr/files/download.php?file=miniupnpc-$(MINIUPNPC_VERSION).tar.gz -O $(DOWNLOAD_PATH)/miniupnpc-$(MINIUPNPC_VERSION).tar.gz

libs/miniupnpc-$(MINIUPNPC_VERSION): $(DOWNLOAD_PATH)/miniupnpc-$(MINIUPNPC_VERSION).tar.gz
	# prepare
	rm -r -f libs/miniupnpc-*
	tar xvf $(DOWNLOAD_PATH)/miniupnpc-$(MINIUPNPC_VERSION).tar.gz
	# build
	cd miniupnpc-$(MINIUPNPC_VERSION) && export CC=gcc && make -f Makefile.mingw init libminiupnpc.a miniupnpc.dll
	# copy files
	mkdir -p libs/miniupnpc-$(MINIUPNPC_VERSION).tmp/include/miniupnpc
	cp miniupnpc-$(MINIUPNPC_VERSION)/*.h libs/miniupnpc-$(MINIUPNPC_VERSION).tmp/include/miniupnpc/
	mkdir -p libs/miniupnpc-$(MINIUPNPC_VERSION).tmp/lib
	cp miniupnpc-$(MINIUPNPC_VERSION)/miniupnpc.lib libs/miniupnpc-$(MINIUPNPC_VERSION).tmp/lib/
	mkdir -p libs/miniupnpc-$(MINIUPNPC_VERSION).tmp/bin
	cp miniupnpc-$(MINIUPNPC_VERSION)/miniupnpc.dll libs/miniupnpc-$(MINIUPNPC_VERSION).tmp/bin/
	rm -r -f miniupnpc-$(MINIUPNPC_VERSION)
	mv libs/miniupnpc-$(MINIUPNPC_VERSION).tmp libs/miniupnpc-$(MINIUPNPC_VERSION)

openssl: libs/openssl-$(OPENSSL_VERSION)

$(DOWNLOAD_PATH)/openssl-$(OPENSSL_VERSION).tar.gz:
	wget --no-check-certificate https://www.openssl.org/source/openssl-$(OPENSSL_VERSION).tar.gz -O $(DOWNLOAD_PATH)/openssl-$(OPENSSL_VERSION).tar.gz

libs/openssl-$(OPENSSL_VERSION): $(DOWNLOAD_PATH)/openssl-$(OPENSSL_VERSION).tar.gz
	# prepare
	rm -r -f libs/openssl-*
	tar xvf $(DOWNLOAD_PATH)/openssl-$(OPENSSL_VERSION).tar.gz
	# build
	#cd openssl-$(OPENSSL_VERSION) && ./config --prefix="`pwd`/../libs"
	#cd openssl-$(OPENSSL_VERSION) && make install
	cd openssl-$(OPENSSL_VERSION) && ./config shared
	cd openssl-$(OPENSSL_VERSION) && make
	# copy files
	mkdir -p libs/openssl-$(OPENSSL_VERSION).tmp/include/openssl
	cp openssl-$(OPENSSL_VERSION)/include/openssl/*.h libs/openssl-$(OPENSSL_VERSION).tmp/include/openssl/
	mkdir -p libs/openssl-$(OPENSSL_VERSION).tmp/bin
	cp openssl-$(OPENSSL_VERSION)/libeay32.dll libs/openssl-$(OPENSSL_VERSION).tmp/bin/
	cp openssl-$(OPENSSL_VERSION)/ssleay32.dll libs/openssl-$(OPENSSL_VERSION).tmp/bin/
	mkdir -p libs/openssl-$(OPENSSL_VERSION).tmp/lib
	cp openssl-$(OPENSSL_VERSION)/libcrypto.dll.a libs/openssl-$(OPENSSL_VERSION).tmp/lib/
	cp openssl-$(OPENSSL_VERSION)/libssl.dll.a libs/openssl-$(OPENSSL_VERSION).tmp/lib/
	rm -r -f openssl-$(OPENSSL_VERSION)
	mv libs/openssl-$(OPENSSL_VERSION).tmp libs/openssl-$(OPENSSL_VERSION)

speex: libs/speex-$(SPEEX_VERSION)

$(DOWNLOAD_PATH)/speex-$(SPEEX_VERSION).tar.gz:
	wget http://downloads.xiph.org/releases/speex/speex-$(SPEEX_VERSION).tar.gz -O $(DOWNLOAD_PATH)/speex-$(SPEEX_VERSION).tar.gz

libs/speex-$(SPEEX_VERSION): $(DOWNLOAD_PATH)/speex-$(SPEEX_VERSION).tar.gz
	# prepare
	rm -r -f libs/speex-*
	tar xvf $(DOWNLOAD_PATH)/speex-$(SPEEX_VERSION).tar.gz
	# build
	cd speex-$(SPEEX_VERSION) && ./configure
	#cd speex-$(SPEEX_VERSION) && make install exec_prefix="`pwd`/../libs"
	cd speex-$(SPEEX_VERSION) && make
	# copy files
	mkdir -p libs/speex-$(SPEEX_VERSION).tmp/include/speex
	cp speex-$(SPEEX_VERSION)/include/speex/*.h libs/speex-$(SPEEX_VERSION).tmp/include/speex/
	mkdir -p libs/speex-$(SPEEX_VERSION).tmp/lib
	cp speex-$(SPEEX_VERSION)/libspeex/.libs/libspeex.a libs/speex-$(SPEEX_VERSION).tmp/lib
	rm -r -f speex-$(SPEEX_VERSION)
	mv libs/speex-$(SPEEX_VERSION).tmp libs/speex-$(SPEEX_VERSION)

speexdsp: libs/speexdsp-$(SPEEXDSP_VERSION)

$(DOWNLOAD_PATH)/speexdsp-$(SPEEXDSP_VERSION).tar.gz:
	wget http://downloads.xiph.org/releases/speex/speexdsp-$(SPEEXDSP_VERSION).tar.gz -O $(DOWNLOAD_PATH)/speexdsp-$(SPEEXDSP_VERSION).tar.gz

libs/speexdsp-$(SPEEXDSP_VERSION): $(DOWNLOAD_PATH)/speexdsp-$(SPEEXDSP_VERSION).tar.gz
	# prepare
	rm -r -f libs/speexdsp-*
	tar xvf $(DOWNLOAD_PATH)/speexdsp-$(SPEEXDSP_VERSION).tar.gz
	# build
	cd speexdsp-$(SPEEXDSP_VERSION) && ./configure
	cd speexdsp-$(SPEEXDSP_VERSION) && make
	# copy files
	mkdir -p libs/speexdsp-$(SPEEXDSP_VERSION).tmp/include/speex
	cp speexdsp-$(SPEEXDSP_VERSION)/include/speex/*.h libs/speexdsp-$(SPEEXDSP_VERSION).tmp/include/speex/
	mkdir -p libs/speexdsp-$(SPEEXDSP_VERSION).tmp/lib
	cp speexdsp-$(SPEEXDSP_VERSION)/libspeexdsp/.libs/libspeexdsp.a libs/speexdsp-$(SPEEXDSP_VERSION).tmp/lib
	rm -r -f speexdsp-$(SPEEXDSP_VERSION)
	mv libs/speexdsp-$(SPEEXDSP_VERSION).tmp libs/speexdsp-$(SPEEXDSP_VERSION)

opencv: libs/opencv-$(OPENCV_VERSION)

$(DOWNLOAD_PATH)/opencv-$(OPENCV_VERSION).tar.gz:
	wget --no-check-certificate https://github.com/opencv/opencv/archive/$(OPENCV_VERSION).tar.gz -O $(DOWNLOAD_PATH)/opencv-$(OPENCV_VERSION).tar.gz

libs/opencv-$(OPENCV_VERSION): $(DOWNLOAD_PATH)/opencv-$(OPENCV_VERSION).tar.gz
	# prepare
	rm -r -f libs/opencv-*
	tar xvf $(DOWNLOAD_PATH)/opencv-$(OPENCV_VERSION).tar.gz
	# build
	mkdir -p opencv-$(OPENCV_VERSION)/build
	#cd opencv-$(OPENCV_VERSION)/build && cmake .. -G"MSYS Makefiles" -DCMAKE_BUILD_TYPE=Release -DBUILD_PERF_TESTS=OFF -DBUILD_TESTS=OFF -DBUILD_SHARED_LIBS=OFF -DCMAKE_INSTALL_PREFIX="`pwd`/../../libs"
	cd opencv-$(OPENCV_VERSION)/build && cmake .. -G"MSYS Makefiles" -DCMAKE_BUILD_TYPE=Release -DBUILD_PERF_TESTS=OFF -DBUILD_TESTS=OFF -DBUILD_SHARED_LIBS=OFF -DCMAKE_INSTALL_PREFIX="`pwd`/install"
	cd opencv-$(OPENCV_VERSION)/build && make install
	# copy files
	mkdir -p libs/opencv-$(OPENCV_VERSION).tmp/include
	cp -r opencv-$(OPENCV_VERSION)/build/install/include/* libs/opencv-$(OPENCV_VERSION).tmp/include/
	mkdir -p libs/opencv-$(OPENCV_VERSION).tmp/lib/opencv
	cp -r opencv-$(OPENCV_VERSION)/build/install/x86/mingw/staticlib/* libs/opencv-$(OPENCV_VERSION).tmp/lib/opencv/
	rm -r -f opencv-$(OPENCV_VERSION)
	mv libs/opencv-$(OPENCV_VERSION).tmp libs/opencv-$(OPENCV_VERSION)

libxml2: libs/libxml2-$(LIBXML2_VERSION)

$(DOWNLOAD_PATH)/libxml2-$(LIBXML2_VERSION).tar.gz:
	wget ftp://xmlsoft.org/libxml2/libxml2-$(LIBXML2_VERSION).tar.gz -O $(DOWNLOAD_PATH)/libxml2-$(LIBXML2_VERSION).tar.gz

libs/libxml2-$(LIBXML2_VERSION): $(DOWNLOAD_PATH)/libxml2-$(LIBXML2_VERSION).tar.gz
	# prepare
	rm -r -f libs/libxml2-*
	tar xvf $(DOWNLOAD_PATH)/libxml2-$(LIBXML2_VERSION).tar.gz
	# build
	cd libxml2-$(LIBXML2_VERSION) && ./configure --without-iconv -enable-shared=no
	#cd libxml2-$(LIBXML2_VERSION) && make install exec_prefix="`pwd`/../libs"
	cd libxml2-$(LIBXML2_VERSION) && make
	# copy files
	mkdir -p libs/libxml2-$(LIBXML2_VERSION).tmp/include/libxml
	cp libxml2-$(LIBXML2_VERSION)/include/libxml/*.h libs/libxml2-$(LIBXML2_VERSION).tmp/include/libxml/
	mkdir -p libs/libxml2-$(LIBXML2_VERSION).tmp/lib
	cp libxml2-$(LIBXML2_VERSION)/.libs/libxml2.a libs/libxml2-$(LIBXML2_VERSION).tmp/lib/
	#rm -r -f libxml2-$(LIBXML2_VERSION) # see libxslt
	mv libs/libxml2-$(LIBXML2_VERSION).tmp libs/libxml2-$(LIBXML2_VERSION)

libxslt: libs/libxslt-$(LIBXSLT_VERSION)

$(DOWNLOAD_PATH)/libxslt-$(LIBXSLT_VERSION).tar.gz:
	wget ftp://xmlsoft.org/libxml2/libxslt-$(LIBXSLT_VERSION).tar.gz -O $(DOWNLOAD_PATH)/libxslt-$(LIBXSLT_VERSION).tar.gz

libs/libxslt-$(LIBXSLT_VERSION): $(DOWNLOAD_PATH)/libxml2-$(LIBXML2_VERSION).tar.gz $(DOWNLOAD_PATH)/libxslt-$(LIBXSLT_VERSION).tar.gz
	# prepare
	rm -r -f libs/libxslt-*
	tar xvf $(DOWNLOAD_PATH)/libxml2-$(LIBXML2_VERSION).tar.gz
	tar xvf $(DOWNLOAD_PATH)/libxslt-$(LIBXSLT_VERSION).tar.gz
	tar xvf $(MAKEFILE_PATH)libxslt-$(LIBXSLT_VERSION)-fix.tar.gz
	# build
	cd libxslt-$(LIBXSLT_VERSION) && ./configure --with-libxml-src=../libxml2-$(LIBXML2_VERSION) -enable-shared=no CFLAGS=-DLIBXML_STATIC
	cd libxslt-$(LIBXSLT_VERSION) && make
	# copy files
	mkdir -p libs/libxslt-$(LIBXSLT_VERSION).tmp/include/libxslt
	cp libxslt-$(LIBXSLT_VERSION)/libxslt/*.h libs/libxslt-$(LIBXSLT_VERSION).tmp/include/libxslt/
	mkdir -p libs/libxslt-$(LIBXSLT_VERSION).tmp/lib
	cp libxslt-$(LIBXSLT_VERSION)/libxslt/.libs/libxslt.a libs/libxslt-$(LIBXSLT_VERSION).tmp/lib/
	cp libxslt-$(LIBXSLT_VERSION)/libexslt/.libs/libexslt.a libs/libxslt-$(LIBXSLT_VERSION).tmp/lib/
	rm -r -f libxml2-$(LIBXML2_VERSION)
	rm -r -f libxslt-$(LIBXSLT_VERSION)
	mv libs/libxslt-$(LIBXSLT_VERSION).tmp libs/libxslt-$(LIBXSLT_VERSION)

curl: libs/curl-$(CURL_VERSION)

$(DOWNLOAD_PATH)/curl-$(CURL_VERSION).tar.gz:
	wget --no-check-certificate http://curl.haxx.se/$(DOWNLOAD_PATH)/curl-$(CURL_VERSION).tar.gz -O $(DOWNLOAD_PATH)/curl-$(CURL_VERSION).tar.gz

libs/curl-$(CURL_VERSION): $(DOWNLOAD_PATH)/curl-$(CURL_VERSION).tar.gz
	# prepare
	rm -r -f libs/curl-*
	tar xvf $(DOWNLOAD_PATH)/curl-$(CURL_VERSION).tar.gz
	# build
	cd curl-$(CURL_VERSION) && ./configure --disable-shared --with-ssl="`pwd`/../libs/openssl-$(OPENSSL_VERSION)"
	#cd curl-$(CURL_VERSION) && make install exec_prefix="`pwd`/../libs"

=== debian/changelog ===
retroshare (0.6.3-1~mx15+1) mx; urgency=medium

  * Initial build for MX-15.
  * Depend on libsqlcipher0 >= 3.4.1 to avoid bugs with stock versions.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jan 2018 18:01:10 -0800

=== debian/control ===
Source: retroshare
Section: devel
Priority: standard
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Cyril Soler <csoler@users.sourceforge.net>
Build-Depends: debhelper (>= 9),
               libglib2.0-dev, 
               libupnp-dev, 
               libssl-dev, 
               libxss-dev, 
               libgnome-keyring-dev, 
               libbz2-dev, 
               libspeex-dev, 
               libspeexdsp-dev, 
               libxslt1-dev, 
               libcurl4-openssl-dev, 
               libopencv-dev, 
               tcl8.6, 
               libsqlcipher-dev (>= 3.4.1), 
               libmicrohttpd-dev, 
               libavcodec-dev, 
               qtmultimedia5-dev, 
               qttools5-dev, 
               libqt5x11extras5-dev, 
               qt5-default
Standards-Version: 3.9.6
Homepage: http://retroshare.sourceforge.net

Package: retroshare-voip-plugin
Architecture: any
Conflicts: retroshare06-voip-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}, retroshare
Description: RetroShare VOIP plugin
 This package provides a plugin for RetroShare, a secured Friend-to-Friend
 communication platform. The plugin adds voice-over-IP functionality to the 
 private chat window. Both friends chatting together need the plugin installed
 to be able to talk together.

Package: retroshare-feedreader-plugin
Architecture: any
Conflicts: retroshare06-feedreader-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}, retroshare
Description: RetroShare FeedReader plugin
 This package provides a plugin for RetroShare, a secured Friend-to-Friend
 communication platform. The plugin adds a RSS feed reader tab to retroshare.

Package: retroshare-nogui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         gnome-keyring,
         libsqlcipher0 (>= 3.4.1),
         retroshare-voip-plugin,
         retroshare-feedreader-plugin
Conflicts: retroshare,retroshare06-nogui
Description: Secure communication with friends
 This is the command-line client for RetroShare network. This client
 can be contacted and talked-to using SSL. Clients exist for portable
 devices. running e.g. Android. 

Package: retroshare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         gnome-keyring,
         libsqlcipher0 (>= 3.4.1),
         retroshare-voip-plugin,
         retroshare-feedreader-plugin
Conflicts: retroshare-nogui,retroshare06
Description: Secure communication with friends
 RetroShare is a Open Source cross-platform, private and secure decentralised 
 commmunication platform. It lets you to securely chat and share files with
 your  friends and family, using a web-of-trust to authenticate peers and
 OpenSSL to encrypt all communication. RetroShare provides filesharing, chat,
 messages, forums and channels.
